import Head from 'next/head'
import Feed from '../components/feed'
import Sidebar from '../components/Sidebar'
import Widgets from '../components/Widgets'

export default function Home({newsResults}) {
  return (
    <div>
      <Head>
        <title>Twitter Clone</title>
        <meta name="description" content="Generated by create next app" />
        <link rel="icon" href="/favicon.ico" />
      </Head>

      <main className='flex min-h-screen mx-auto'>

        {/* Sidebar */}
        <Sidebar />

        {/* Center */}
        <Feed />

        {/* Widget */}
        <Widgets newsResults={newsResults.articles}/>

        {/* Tweet */}

      </main>

    </div>
  )
}

export async function getServerSideProps(){
  const newsResults = await fetch (
    "https://saurav.tech/NewsAPI/top-headlines/category/business/fr.json"
    ).then((res)=>res.json());
    return {
      props: {
        newsResults,
      }
    }
}
